Multivariate Pattern Analysis in Python

# mvpa2.clfs.meta.PredictionsCombiner

class `mvpa2.clfs.meta.``PredictionsCombiner`(descr=None, **kwargs)

  Base class for combining decisions of multiple classifiers

  Attributes

  `descr` | Description of the object if any

  Methods

  `__call__`(clfs, dataset) | Call function
  `reset`() |
  `train`(clfs, dataset) | PredictionsCombiner might need to be trained

  Initialize ClassWithCollections object

  Parameters:

  descr : str

  > Description of the instance

  Attributes

  `descr` | Description of the object if any

  Methods

  `__call__`(clfs, dataset) | Call function
  `reset`() |
  `train`(clfs, dataset) | PredictionsCombiner might need to be trained

  `train`(clfs, dataset)

    PredictionsCombiner might need to be trained

    Parameters:

    clfs : list of Classifier

    > List of classifiers to combine. Has to be classifiers (not pure predictions), since combiner might use some other conditional attributes (value’s) instead of pure prediction’s

    dataset : Dataset

    > training data in this case